- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# kmod.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for kmod.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | kmod_struct
## Defines
#define | LD_START 0x1000000
## Typedefs
typedef kmod_struct | kmod_t
## Functions
uInt32 | kmod_add (const char *, const char *name)
uInt32 | kmod_load (const char *)

## Define Documentation

#define LD_START 0x1000000

Definition at line 35 of file kmod.h.

Referenced by kmod_load(), and ldEnable().

## Typedef Documentation

typedef struct kmod_struct kmod_t

## Function Documentation

uInt32 kmod_add | ( | const char * | ,
|  | const char * | name |
| ) |  |  |

Definition at line 46 of file kmod.c.

References CreateItem(), _item_t::data, InitializeList(), InsertItemAtFront(), kmalloc(), kmod_load(), kprintf(), List, and NULL.

Here is the call graph for this function:

uInt32 kmod_load | ( | const char * |  | ) |

Definition at line 75 of file kmod.c.

References _current, assert, elfHeader::eEntry, ELF32_R_SYM, ELF32_R_TYPE, elfGetRelType(), elfHeader::ePhnum, elfHeader::ePhoff, elfHeader::eShnum, elfHeader::eShoff, elfHeader::eShstrndx, fclose(), fopen(), fread(), fseek(), taskStruct::id, kfree(), kmalloc(), kpanic(), kprintf(), LD_START, memset(), PAGE_DEFAULT, elfProgramHeader::phMemsz, elfProgramHeader::phVaddr, PT_DYNAMIC, PT_GNU_STACK, PT_LOAD, PT_PAX_FLAGS, R_386_32, R_386_PC32, R_386_RELATIVE, elfSectionHeader::shSize, strcmp(), vmm_remapPage(), vmmFindFreePage(), and x1000.

Referenced by kmod_add().

Here is the call graph for this function: